stages:
  - deploy

variables:
  REGION: 'us-central1'
  PORT: '8003'
  SERVICE_NAME: 'calculator-application'
  IMAGE: 'gcr.io/dipalis-project-414803/calculator8003'

deploy:
  stage: deploy
  image: google/cloud-sdk

  script:
    - echo "$GCLOUD_KEY_FILE" | gcloud auth activate-service-account --key-file=-
    - gcloud config set project dipalis-project-414803
    - gcloud auth configure-docker us-docker.pkg.dev
    - gcloud run deploy $SERVICE_NAME --image=$IMAGE --platform managed --region $REGION --port $PORT --allow-unauthenticated

  
